Subject: Re: git submodule vs git mergetool

From: Jens Lehmann <[email-masked]>
Date: Wed, 19 Jan 2011 19:40:55 +0100

Am 18.01.2011 10:04, schrieb Mathieu Malaterre:
> $ git mergetool
> merge tool candidates: meld opendiff kdiff3 tkdiff xxdiff
> tortoisemerge gvimdiff diffuse ecmerge p4merge araxis emerge vimdiff
> Merging the files: Testing/Data
> 
> mv: cannot stat `Testing/Data': No such file or directory
> cp: cannot stat `./Testing/Data.BACKUP.5251': No such file or directory
> error: git checkout-index: cannot create temporary subproject
> error: git checkout-index: cannot create temporary subproject
> Normal merge conflict for 'Testing/Data':
>   {local}: created
>   {remote}: created
> Hit return to start merge resolution tool (gvimdiff):
> 3 files to edit
> Testing/Data seems unchanged.
> Was the merge successful? [y/n] y
> fatal: unable to stat 'Testing/Data': No such file or directory
> 
> I guess this is a minor issue, but I thought I should report it here.

I assume this happens when you do the merge in a work tree where this
submodule does not exist? Right now git does not populate submodules
that show up while switching branches or doing a merge. I am working
on that feature, but progress is not as swift as I hoped ...